with GNATCOM.Dispinterface;

package MSHTML.ISVGEllipseElement_Object is

   type ISVGEllipseElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_cx
     (This : ISVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_cx
     (This : ISVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_cy
     (This : ISVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_cy
     (This : ISVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_rx
     (This : ISVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_rx
     (This : ISVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_ry
     (This : ISVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_ry
     (This : ISVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGEllipseElement_Object;

